1. Reconfirmation APIs
Zeal Reconfirmation
  • Getting Started
  • Sync Updates (Webhooks)
  • Error Codes Reference
  • Reconfirmation APIs
    • Add Bookings
      POST
    • Update Booking
      PATCH
  • Resources
  • Schemas
    • Add Bookings
    • Update Booking
  1. Reconfirmation APIs

Update Booking

PATCH
https://reconfirmation.integrators.zealconnect.com/updateBooking/{{BookingCode}}

Update Bookings (Real-Time)#

Push real-time updates for existing bookings via the Update Bookings endpoint. ZealConnect identifies bookings by their BookingCode.

When to Call This Endpoint#

Send an update immediately when any of the following changes occur:
ChangeNotes
Booking cancelledSet BookingStatus to CANCELLED. No reconfirmation required.
Dates modifiedSend updated CheckIn / CheckOut values.
Room details changedSend the updated RoomStructure object.
Guest details changedSend the updated Guest object.
Hotel details changedSend the updated Hotel object with the new hotel details

Important Notes#

Confirmed bookings are locked. Any update to a confirmed booking will return a 409 Conflict error.
Always use the original BookingCode to reference the booking.
If a LineCode was included when the booking was created, append it to the BookingCode in the request path using the format BookingCode#LineCode.
ScenarioEndpoint
BookingCode onlyPUT /updateBooking/{BookingCode}
BookingCode + LineCodePUT /updateBooking/{BookingCode#LineCode}
Send updates immediately β€” do not batch or delay.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟒200Accepted
application/json
Booking update has been validated and queued for processing.
Body

🟠403Invalid API Key
πŸ”΄500Internal Server Error
🟠401Unauthorized
🟠400Invalid Request Body
🟠400Schema Validation Failed
🟠409Update Not Permmited
🟠404Booking Not Found
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location -g --request PATCH 'https://reconfirmation.integrators.zealconnect.com/updateBooking/{{BookingCode}}' \
--header 'x-account-id: ZC_ORG_LIVE' \
--header 'x-api-key: your-api-key' \
--header 'Content-Type: application/json' \
--data-raw '{
    "CheckIn": "2026-04-12T14:00:00Z",
    "CheckOut": "2026-04-16T11:00:00Z",
    "BookingDate": "2026-03-11T09:45:00Z",
    "Source": "API",
    "ChannelId": "B2B",
    "BookingAmount": 1300,
    "CancellationDeadLine": "2026-04-04T09:45:00Z",
    "Currency": "USD",
    "Refundable": false,
    "BookingPriority": 2,
    "Hotel": {
        "Name": "Hilton Dubai Palm Jumeirah",
        "Country": "United Arab Emirates",
        "CountryCode": "AE",
        "City": "Dubai",
        "State": "Dubai",
        "Address": "Palm West Beach, Palm Jumeirah",
        "PostalCode": "213208",
        "Latitude": "25.112345",
        "Longitude": "55.139876",
        "ContactDetails": {
            "PhoneNumbers": [
                "+97144567890",
                "+97144567891"
            ],
            "Emails": [
                "reservations@hiltondubai.com",
                "info@hiltondubai.com"
            ]
        }
    },
    "Guest": {
        "LeadName": "John Smith",
        "TotalRooms": 2,
        "Adults": 3,
        "Childs": 1,
        "Infants": 0,
        "Nationality": "British",
        "Country": "United Kingdom",
        "City": "London",
        "Address": "221B Baker Street",
        "AllGuests": [
            {
                "Name": "John Smith",
                "Title": "Mr",
                "Age": 40,
                "Type": "Adult",
                "Gender": "Male",
                "Email": "john.smith@email.com",
                "PhoneNumber": "+447700900111",
                "Country": "United Kingdom"
            },
            {
                "Name": "Emily Smith",
                "Title": "Mrs",
                "Age": 38,
                "Type": "Adult",
                "Gender": "Female",
                "Email": "emily.smith@email.com",
                "PhoneNumber": "+447700900112",
                "Country": "United Kingdom"
            },
            {
                "Name": "Daniel Smith",
                "Title": "Mr",
                "Age": 12,
                "Type": "Child",
                "Gender": "Male",
                "Email": "daniel.smith@email.com",
                "PhoneNumber": "+447700900113",
                "Country": "United Kingdom"
            },
            {
                "Name": "Michael Smith",
                "Title": "Mr",
                "Age": 35,
                "Type": "Adult",
                "Gender": "Male",
                "Email": "michael.smith@email.com",
                "PhoneNumber": "+447700900114",
                "Country": "United Kingdom"
            }
        ],
        "RoomStructure": [
            {
                "BoardType": "Breakfast",
                "RoomType": "Deluxe Sea View",
                "Adults": 2,
                "Childs": 1,
                "Infants": 0
            },
            {
                "BoardType": "Breakfast",
                "RoomType": "Deluxe Sea View",
                "Adults": 1,
                "Childs": 0,
                "Infants": 0
            }
        ]
    },
    "SpecialRequest": "Late check in expected"
}'
Response Response Example
200 - Success
{
    "status": "ACCEPTED",
    "message": "Booking have been successfully updated",
    "data": {
        "BookingDetails": {
            "BookingId": "DM9110WA#2192821",
            "BookingCode": "DM9110WA",
            "LineCode": "2192821",
            "ReconfirmationStatus": "PENDING",
            "BookingDate": "2026-03-11T09:45:00.000Z",
            "CheckIn": "2026-04-12T14:00:00.000Z",
            "CheckOut": "2026-04-16T11:00:00.000Z",
            "Source": "API",
            "ChannelId": "B2B",
            "BookingAmount": 1300,
            "Refundable": false,
            "CancellationDeadline": "2026-04-04T09:45:00.000Z",
            "SpecialRequest": "Late check in expected",
            "Currency": null,
            "Hotel": {
                "Name": "Hilton Dubai Palm Jumeirah",
                "Country": "United Arab Emirates",
                "CountryCode": "ARE",
                "City": "Dubai",
                "State": "Dubai",
                "Address": "Palm West Beach, Palm Jumeirah",
                "Rating": null,
                "MasterProvider": "JUNIPER",
                "MasterProviderHotelId": "JP23434"
            },
            "Guest": {
                "LeadName": "John Smith",
                "Adults": 3,
                "Children": 1,
                "Infants": 0,
                "TotalRooms": 2,
                "Nationality": "British",
                "Country": "United Kingdom",
                "CountryCode": "GBR",
                "RoomStructure": [
                    {
                        "BoardType": "Breakfast",
                        "RoomType": "Deluxe Sea View",
                        "Adults": 2,
                        "Childs": 1,
                        "Infants": 0
                    },
                    {
                        "BoardType": "Breakfast",
                        "RoomType": "Deluxe Sea View",
                        "Adults": 1,
                        "Childs": 0,
                        "Infants": 0
                    }
                ],
                "AllGuests": [
                    {
                        "Name": "John Smith",
                        "Age": 40,
                        "Type": "Adult",
                        "Email": "john.smith@email.com",
                        "PhoneNumber": "+447700900111"
                    },
                    {
                        "Name": "Emily Smith",
                        "Age": 38,
                        "Type": "Adult",
                        "Email": "emily.smith@email.com",
                        "PhoneNumber": "+447700900112"
                    },
                    {
                        "Name": "Daniel Smith",
                        "Age": 12,
                        "Type": "Child",
                        "Email": "daniel.smith@email.com",
                        "PhoneNumber": "+447700900113"
                    },
                    {
                        "Name": "Michael Smith",
                        "Age": 35,
                        "Type": "Adult",
                        "Email": "michael.smith@email.com",
                        "PhoneNumber": "+447700900114"
                    }
                ]
            },
            "Agency": {
                "Name": "NATURAL B2C VIP",
                "ReferenceNo": "614376823"
            },
            "Supplier": {
                "Name": "YALAGO",
                "ReferenceNo": "YAC/24565657",
                "HCN": "YAC/24565657"
            }
        }
    },
    "meta": {
        "requestId": "4200157d-f087-4ef3-853b-e01b99a93536",
        "timestamp": "2026-03-25T08:00:14.1699399Z"
    }
}
Modified atΒ 2026-03-24 17:43:32
Previous
Add Bookings
Next
Add Bookings
Built with